Index: src/other/incrTcl/itk/CMake/tcl.cmake
===================================================================
--- src/other/incrTcl/itk/CMake/tcl.cmake	(revision 54114)
+++ src/other/incrTcl/itk/CMake/tcl.cmake	(working copy)
@@ -686,21 +686,21 @@
 (void) gethostbyaddr_r(addr, length, type, result, buffer, buflen, &resultp, &h_errnop);
 return 0;}
 			")
-			CHECK_C_SOURCE_COMPILES("${HAVE_GETHOSTBYADDR_R_8_SRC}" HAVE_GETHOSTBYADDR_R_8)
-			IF(HAVE_GETHOSTBYADDR_R_8)
-			   ADD_TCL_CFLAG(HAVE_GETHOSTBYADDR_R_8)
-			ENDIF(HAVE_GETHOSTBYADDR_R_8)
-		ENDIF(HAVE_GETHOSTBYADDR_R_7)
-	ENDIF(HAVE_GETHOSTBYADDR_R)
-ENDMACRO(SC_TCL_GETHOSTBYADDR_R)
+			check_c_source_compiles("${HAVE_GETHOSTBYADDR_R_8_SRC}" HAVE_GETHOSTBYADDR_R_8)
+			if(HAVE_GETHOSTBYADDR_R_8)
+			   add_tcl_cflag(HAVE_GETHOSTBYADDR_R_8)
+			endif(HAVE_GETHOSTBYADDR_R_8)
+		endif(HAVE_GETHOSTBYADDR_R_7)
+	endif(HAVE_GETHOSTBYADDR_R)
+endmacro(SC_TCL_GETHOSTBYADDR_R)
 
 #--------------------------------------------------------------------
 # SC_TCL_GETHOSTBYNAME_R
 #--------------------------------------------------------------------
-MACRO(SC_TCL_GETHOSTBYNAME_R)
-	TCL_CHECK_FUNCTION_EXISTS(gethostbyname_r HAVE_GETHOSTBYNAME_R)
-	IF(HAVE_GETHOSTBYNAME_R)
-		SET(HAVE_GETHOSTBYNAME_R_6_SRC "
+macro(SC_TCL_GETHOSTBYNAME_R)
+	tcl_check_function_exists(gethostbyname_r HAVE_GETHOSTBYNAME_R)
+	if(HAVE_GETHOSTBYNAME_R)
+		set(HAVE_GETHOSTBYNAME_R_6_SRC "
 #include <netdb.h>
 int main(){
 char *name;
@@ -712,11 +712,11 @@
 (void) gethostbyname_r(name, he, buffer, buflen, &res, &h_errnop);
 return 0;}
 		")
-		CHECK_C_SOURCE_COMPILES("${HAVE_GETHOSTBYNAME_R_6_SRC}"  HAVE_GETHOSTBYNAME_R_6)
-		IF(HAVE_GETHOSTBYNAME_R_6)
-			ADD_TCL_CFLAG(HAVE_GETHOSTBYNAME_R_6)
-		ELSE(HAVE_GETHOSTBYNAME_R_6)
-			SET(HAVE_GETHOSTBYNAME_R_5_SRC "
+		check_c_source_compiles("${HAVE_GETHOSTBYNAME_R_6_SRC}"  HAVE_GETHOSTBYNAME_R_6)
+		if(HAVE_GETHOSTBYNAME_R_6)
+			add_tcl_cflag(HAVE_GETHOSTBYNAME_R_6)
+		else(HAVE_GETHOSTBYNAME_R_6)
+			set(HAVE_GETHOSTBYNAME_R_5_SRC "
 #include <netdb.h>
 int main(){
 char *name;
@@ -728,12 +728,12 @@
 (void) gethostbyname_r(name, he, buffer, buflen, &h_errnop);
 return 0;}
 			")
-			CHECK_C_SOURCE_COMPILES("${HAVE_GETHOSTBYNAME_R_5_SRC}"  HAVE_GETHOSTBYNAME_R_5)
+			check_c_source_compiles("${HAVE_GETHOSTBYNAME_R_5_SRC}"  HAVE_GETHOSTBYNAME_R_5)
 
-			IF(HAVE_GETHOSTBYNAME_R_5)
-				ADD_TCL_CFLAG(HAVE_GETHOSTBYNAME_R_5)
-			ELSE(HAVE_GETHOSTBYNAME_R_5)
-				SET(HAVE_GETHOSTBYNAME_R_3_SRC "
+			if(HAVE_GETHOSTBYNAME_R_5)
+				add_tcl_cflag(HAVE_GETHOSTBYNAME_R_5)
+			else(HAVE_GETHOSTBYNAME_R_5)
+				set(HAVE_GETHOSTBYNAME_R_3_SRC "
 #include <netdb.h>
 int main(){
 char *name;
@@ -743,22 +743,22 @@
 (void) gethostbyname_r(name, he, &data);
 return 0;}
 				")
-				CHECK_C_SOURCE_COMPILES("${HAVE_GETHOSTBYNAME_R_3_SRC}" HAVE_GETHOSTBYNAME_R_3)
-				IF(HAVE_GETHOSTBYNAME_R_3)
-					ADD_TCL_CFLAG(HAVE_GETHOSTBYNAME_R_3)
-				ENDIF(HAVE_GETHOSTBYNAME_R_3)
-			ENDIF(HAVE_GETHOSTBYNAME_R_5)
-		ENDIF(HAVE_GETHOSTBYNAME_R_6)
-	ENDIF(HAVE_GETHOSTBYNAME_R)
-ENDMACRO(SC_TCL_GETHOSTBYNAME_R)
+				check_c_source_compiles("${HAVE_GETHOSTBYNAME_R_3_SRC}" HAVE_GETHOSTBYNAME_R_3)
+				if(HAVE_GETHOSTBYNAME_R_3)
+					add_tcl_cflag(HAVE_GETHOSTBYNAME_R_3)
+				endif(HAVE_GETHOSTBYNAME_R_3)
+			endif(HAVE_GETHOSTBYNAME_R_5)
+		endif(HAVE_GETHOSTBYNAME_R_6)
+	endif(HAVE_GETHOSTBYNAME_R)
+endmacro(SC_TCL_GETHOSTBYNAME_R)
 
 #--------------------------------------------------------------------
 # SC_TCL_IPV6
 #--------------------------------------------------------------------
-MACRO(SC_TCL_IPV6)
-	CHECK_FUNCTION_EXISTS(getaddrinfo HAVE_GETADDRINFO)
-	IF(HAVE_GETADDRINFO)
-		SET(GETADDRINFO_SRC "
+macro(SC_TCL_IPV6)
+	check_function_exists(getaddrinfo HAVE_GETADDRINFO)
+	if(HAVE_GETADDRINFO)
+		set(GETADDRINFO_SRC "
 #include <netdb.h>
 int main () {
 const char *name, *port;
@@ -768,20 +768,20 @@
 return 0;
 }
 		")
-		CHECK_C_SOURCE_COMPILES("${GETADDRINFO_SRC}" WORKING_GETADDRINFO)
-		IF(WORKING_GETADDRINFO)
-			ADD_TCL_CFLAG(HAVE_GETADDRINFO)
-		ENDIF(WORKING_GETADDRINFO)
-	ENDIF(HAVE_GETADDRINFO)
-ENDMACRO(SC_TCL_IPV6)
+		check_c_source_compiles("${GETADDRINFO_SRC}" WORKING_GETADDRINFO)
+		if(WORKING_GETADDRINFO)
+			add_tcl_cflag(HAVE_GETADDRINFO)
+		endif(WORKING_GETADDRINFO)
+	endif(HAVE_GETADDRINFO)
+endmacro(SC_TCL_IPV6)
 
 #--------------------------------------------------------------------
 # SC_TCL_GETPWUID_R
 #--------------------------------------------------------------------
-MACRO(SC_TCL_GETPWUID_R)
-	TCL_CHECK_FUNCTION_EXISTS(getpwuid_r HAVE_GETPWUID_R)
-	IF(HAVE_GETPWUID_R)
-		SET(HAVE_GETPWUID_R_5_SRC "
+macro(SC_TCL_GETPWUID_R)
+	tcl_check_function_exists(getpwuid_r HAVE_GETPWUID_R)
+	if(HAVE_GETPWUID_R)
+		set(HAVE_GETPWUID_R_5_SRC "
 #include <sys/types.h>
 #include <pwd.h>
 int main(){
@@ -793,11 +793,11 @@
 (void) getpwuid_r(uid, &pw, buf, buflen, &pwp);
 return 0;}
 		")
-		CHECK_C_SOURCE_COMPILES("${HAVE_GETPWUID_R_5_SRC}"  HAVE_GETPWUID_R_5)
-		IF(HAVE_GETPWUID_R_5)
-			ADD_TCL_CFLAG(HAVE_GETPWUID_R_5)
-		ELSE(HAVE_GETPWUID_R_5)
-			SET(HAVE_GETPWUID_R_4_SRC "
+		check_c_source_compiles("${HAVE_GETPWUID_R_5_SRC}"  HAVE_GETPWUID_R_5)
+		if(HAVE_GETPWUID_R_5)
+			add_tcl_cflag(HAVE_GETPWUID_R_5)
+		else(HAVE_GETPWUID_R_5)
+			set(HAVE_GETPWUID_R_4_SRC "
 #include <sys/types.h>
 #include <pwd.h>
 int main(){
@@ -809,21 +809,21 @@
 (void) getpwuid_r(uid, &pw, buf, buflen);
 return 0;}
 			")
-			CHECK_C_SOURCE_COMPILES("${HAVE_GETPWUID_R_4_SRC}" HAVE_GETPWUID_R_4)
-			IF(HAVE_GETPWUID_R_4)
-				ADD_TCL_CFLAG(HAVE_GETPWUID_R_4)
-			ENDIF(HAVE_GETPWUID_R_4)
-		ENDIF(HAVE_GETPWUID_R_5)
-	ENDIF(HAVE_GETPWUID_R)
-ENDMACRO(SC_TCL_GETPWUID_R)
+			check_c_source_compiles("${HAVE_GETPWUID_R_4_SRC}" HAVE_GETPWUID_R_4)
+			if(HAVE_GETPWUID_R_4)
+				add_tcl_cflag(HAVE_GETPWUID_R_4)
+			endif(HAVE_GETPWUID_R_4)
+		endif(HAVE_GETPWUID_R_5)
+	endif(HAVE_GETPWUID_R)
+endmacro(SC_TCL_GETPWUID_R)
 
 #--------------------------------------------------------------------
 # SC_TCL_GETPWNAM_R
 #--------------------------------------------------------------------
-MACRO(SC_TCL_GETPWNAM_R)
-	TCL_CHECK_FUNCTION_EXISTS(getpwnam_r HAVE_GETPWNAM_R)
-	IF(HAVE_GETPWNAM_R)
-		SET(HAVE_GETPWNAM_R_5_SRC "
+macro(SC_TCL_GETPWNAM_R)
+	tcl_check_function_exists(getpwnam_r HAVE_GETPWNAM_R)
+	if(HAVE_GETPWNAM_R)
+		set(HAVE_GETPWNAM_R_5_SRC "
 #include <sys/types.h>
 #include <pwd.h>
 int main(){
@@ -835,11 +835,11 @@
 (void) getpwnam_r(name, &pw, buf, buflen, &pwp);
 return 0;}
 		")
-		CHECK_C_SOURCE_COMPILES("${HAVE_GETPWNAM_R_5_SRC}"  HAVE_GETPWNAM_R_5)
-		IF(HAVE_GETPWNAM_R_5)
-			ADD_TCL_CFLAG(HAVE_GETPWNAM_R_5)
-		ELSE(HAVE_GETPWNAM_R_5)
-			SET(HAVE_GETPWNAM_R_4_SRC "
+		check_c_source_compiles("${HAVE_GETPWNAM_R_5_SRC}"  HAVE_GETPWNAM_R_5)
+		if(HAVE_GETPWNAM_R_5)
+			add_tcl_cflag(HAVE_GETPWNAM_R_5)
+		else(HAVE_GETPWNAM_R_5)
+			set(HAVE_GETPWNAM_R_4_SRC "
 #include <sys/types.h>
 #include <pwd.h>
 int main(){
@@ -851,21 +851,21 @@
 (void)getpwnam_r(name, &pw, buf, buflen);
 return 0;}
 			")
-			CHECK_C_SOURCE_COMPILES("${HAVE_GETPWNAM_R_4_SRC}" HAVE_GETPWNAM_R_4)
-			IF(HAVE_GETPWNAM_R_4)
-			   ADD_TCL_CFLAG(HAVE_GETPWNAM_R_4)
-			ENDIF(HAVE_GETPWNAM_R_4)
-		ENDIF(HAVE_GETPWNAM_R_5)
-	ENDIF(HAVE_GETPWNAM_R)
-ENDMACRO(SC_TCL_GETPWNAM_R)
+			check_c_source_compiles("${HAVE_GETPWNAM_R_4_SRC}" HAVE_GETPWNAM_R_4)
+			if(HAVE_GETPWNAM_R_4)
+			   add_tcl_cflag(HAVE_GETPWNAM_R_4)
+			endif(HAVE_GETPWNAM_R_4)
+		endif(HAVE_GETPWNAM_R_5)
+	endif(HAVE_GETPWNAM_R)
+endmacro(SC_TCL_GETPWNAM_R)
 
 #--------------------------------------------------------------------
 # SC_TCL_GETGRGID_R
 #--------------------------------------------------------------------
-MACRO(SC_TCL_GETGRGID_R)
-	TCL_CHECK_FUNCTION_EXISTS(getgrgid_r HAVE_GETGRGID_R)
-	IF(HAVE_GETGRGID_R)
-		SET(HAVE_GETGRGID_R_5_SRC "
+macro(SC_TCL_GETGRGID_R)
+	tcl_check_function_exists(getgrgid_r HAVE_GETGRGID_R)
+	if(HAVE_GETGRGID_R)
+		set(HAVE_GETGRGID_R_5_SRC "
 #include <sys/types.h>
 #include <grp.h>
 int main(){
@@ -877,11 +877,11 @@
 (void) getgrgid_r(gid, &gr, buf, buflen, &grp);
 return 0;}
 		")
-		CHECK_C_SOURCE_COMPILES("${HAVE_GETGRGID_R_5_SRC}"  HAVE_GETGRGID_R_5)
-		IF(HAVE_GETGRGID_R_5)
-			ADD_TCL_CFLAG(HAVE_GETGRGID_R_5)
-		ELSE(HAVE_GETGRGID_R_5)
-			SET(HAVE_GETGRGID_R_4_SRC "
+		check_c_source_compiles("${HAVE_GETGRGID_R_5_SRC}"  HAVE_GETGRGID_R_5)
+		if(HAVE_GETGRGID_R_5)
+			add_tcl_cflag(HAVE_GETGRGID_R_5)
+		else(HAVE_GETGRGID_R_5)
+			set(HAVE_GETGRGID_R_4_SRC "
 #include <sys/types.h>
 #include <grp.h>
 int main(){
@@ -893,21 +893,21 @@
 (void)getgrgid_r(gid, &gr, buf, buflen);
 return 0;}
 			")
-			CHECK_C_SOURCE_COMPILES("${HAVE_GETGRGID_R_4_SRC}" HAVE_GETGRGID_R_4)
-			IF(HAVE_GETGRGID_R_4)
-				ADD_TCL_CFLAG(HAVE_GETGRGID_R_4)
-			ENDIF(HAVE_GETGRGID_R_4)
-		ENDIF(HAVE_GETGRGID_R_5)
-	ENDIF(HAVE_GETGRGID_R)
-ENDMACRO(SC_TCL_GETGRGID_R)
+			check_c_source_compiles("${HAVE_GETGRGID_R_4_SRC}" HAVE_GETGRGID_R_4)
+			if(HAVE_GETGRGID_R_4)
+				add_tcl_cflag(HAVE_GETGRGID_R_4)
+			endif(HAVE_GETGRGID_R_4)
+		endif(HAVE_GETGRGID_R_5)
+	endif(HAVE_GETGRGID_R)
+endmacro(SC_TCL_GETGRGID_R)
 
 #--------------------------------------------------------------------
 # SC_TCL_GETGRNAM_R
 #--------------------------------------------------------------------
-MACRO(SC_TCL_GETGRNAM_R)
-	TCL_CHECK_FUNCTION_EXISTS(getgrnam_r HAVE_GETGRNAM_R)
-	IF(HAVE_GETGRNAM_R)
-		SET(HAVE_GETGRNAM_R_5_SRC "
+macro(SC_TCL_GETGRNAM_R)
+	tcl_check_function_exists(getgrnam_r HAVE_GETGRNAM_R)
+	if(HAVE_GETGRNAM_R)
+		set(HAVE_GETGRNAM_R_5_SRC "
 #include <sys/types.h>
 #include <grp.h>
 int main(){
@@ -919,11 +919,11 @@
 (void) getgrnam_r(name, &gr, buf, buflen, &grp);
 return 0;}
 		")
-		CHECK_C_SOURCE_COMPILES("${HAVE_GETGRNAM_R_5_SRC}"  HAVE_GETGRNAM_R_5)
-		IF(HAVE_GETGRNAM_R_5)
-			ADD_TCL_CFLAG(HAVE_GETGRNAM_R_5)
-		ELSE(HAVE_GETGRNAM_R_5)
-			SET(HAVE_GETGRNAM_R_4_SRC "
+		check_c_source_compiles("${HAVE_GETGRNAM_R_5_SRC}"  HAVE_GETGRNAM_R_5)
+		if(HAVE_GETGRNAM_R_5)
+			add_tcl_cflag(HAVE_GETGRNAM_R_5)
+		else(HAVE_GETGRNAM_R_5)
+			set(HAVE_GETGRNAM_R_4_SRC "
 #include <sys/types.h>
 #include <grp.h>
 int main(){
@@ -935,19 +935,19 @@
 (void)getgrnam_r(name, &gr, buf, buflen);
 return 0;}
 			")
-			CHECK_C_SOURCE_COMPILES("${HAVE_GETGRNAM_R_4_SRC}" HAVE_GETGRNAM_R_4)
-			IF(HAVE_GETGRNAM_R_4)
-			   ADD_TCL_CFLAG(HAVE_GETGRNAM_R_4)
-			ENDIF(HAVE_GETGRNAM_R_4)
-		ENDIF(HAVE_GETGRNAM_R_5)
-	ENDIF(HAVE_GETGRNAM_R)
-ENDMACRO(SC_TCL_GETGRNAM_R)
+			check_c_source_compiles("${HAVE_GETGRNAM_R_4_SRC}" HAVE_GETGRNAM_R_4)
+			if(HAVE_GETGRNAM_R_4)
+			   add_tcl_cflag(HAVE_GETGRNAM_R_4)
+			endif(HAVE_GETGRNAM_R_4)
+		endif(HAVE_GETGRNAM_R_5)
+	endif(HAVE_GETGRNAM_R)
+endmacro(SC_TCL_GETGRNAM_R)
 
 
 
 
-MACRO(CHECK_FD_SET_IN_TYPES_D)
-	SET(TEST_SRC "
+macro(CHECK_FD_SET_IN_TYPES_D)
+	set(TEST_SRC "
 	#include <sys/types.h>
 	int main ()
 	{
@@ -955,16 +955,16 @@
 	return 0;
 	}
 	")
-	CHECK_C_SOURCE_COMPILES("${TEST_SRC}" FD_SET_IN_TYPES_H)
-ENDMACRO(CHECK_FD_SET_IN_TYPES_D)
+	check_c_source_compiles("${TEST_SRC}" FD_SET_IN_TYPES_H)
+endmacro(CHECK_FD_SET_IN_TYPES_D)
 
-MACRO(CHECK_COMPILER_SUPPORTS_HIDDEN_D)
-	SET(TEST_SRC"
+macro(CHECK_COMPILER_SUPPORTS_HIDDEN_D)
+	set(TEST_SRC"
 	#define MODULE_SCOPE extern __attribute__((__visibility__("hidden")))
 	main(){};
 	")
-	CHECK_C_SOURCE_COMPILES("${TEST_SRC}" COMPILER_SUPPORTS_HIDDEN)
-ENDMACRO(CHECK_COMPILER_SUPPORTS_HIDDEN_D)
+	check_c_source_compiles("${TEST_SRC}" COMPILER_SUPPORTS_HIDDEN)
+endmacro(CHECK_COMPILER_SUPPORTS_HIDDEN_D)
 
 
 
Index: src/other/incrTcl/itk/CMake/CheckPrototypeExists.cmake
===================================================================
--- src/other/incrTcl/itk/CMake/CheckPrototypeExists.cmake	(revision 54114)
+++ src/other/incrTcl/itk/CMake/CheckPrototypeExists.cmake	(working copy)
@@ -57,6 +57,6 @@
   return 0;
 }
 ")
-  CHECK_CXX_SOURCE_COMPILES("${_CHECK_PROTO_EXISTS_SOURCE_CODE}" ${_RESULT})
+  check_cxx_source_compiles("${_CHECK_PROTO_EXISTS_SOURCE_CODE}" ${_RESULT})
 endmacro(CHECK_PROTOTYPE_EXISTS _SYMBOL _HEADER _RESULT)
 
Index: src/other/incrTcl/itk/CMake/CheckCSourceRuns.cmake
===================================================================
--- src/other/incrTcl/itk/CMake/CheckCSourceRuns.cmake	(revision 54114)
+++ src/other/incrTcl/itk/CMake/CheckCSourceRuns.cmake	(working copy)
@@ -70,32 +70,32 @@
 # 
 #=============================================================================
 
-MACRO(CHECK_C_SOURCE_RUNS SOURCE VAR)
-  IF("${VAR}" MATCHES "^${VAR}$")
-    SET(MACRO_CHECK_FUNCTION_DEFINITIONS 
+macro(CHECK_C_SOURCE_RUNS SOURCE VAR)
+  if("${VAR}" MATCHES "^${VAR}$")
+    set(MACRO_CHECK_FUNCTION_DEFINITIONS 
       "-D${VAR} ${CMAKE_REQUIRED_FLAGS}")
-    IF(CMAKE_REQUIRED_LIBRARIES)
-      SET(CHECK_C_SOURCE_COMPILES_ADD_LIBRARIES
+    if(CMAKE_REQUIRED_LIBRARIES)
+      set(CHECK_C_SOURCE_COMPILES_ADD_LIBRARIES
         "-DLINK_LIBRARIES:STRING=${CMAKE_REQUIRED_LIBRARIES}")
-    ELSE(CMAKE_REQUIRED_LIBRARIES)
-      SET(CHECK_C_SOURCE_COMPILES_ADD_LIBRARIES)
-    ENDIF(CMAKE_REQUIRED_LIBRARIES)
-    IF(CMAKE_REQUIRED_INCLUDES)
-      SET(CHECK_C_SOURCE_COMPILES_ADD_INCLUDES
+    else(CMAKE_REQUIRED_LIBRARIES)
+      set(CHECK_C_SOURCE_COMPILES_ADD_LIBRARIES)
+    endif(CMAKE_REQUIRED_LIBRARIES)
+    if(CMAKE_REQUIRED_INCLUDES)
+      set(CHECK_C_SOURCE_COMPILES_ADD_INCLUDES
         "-DINCLUDE_DIRECTORIES:STRING=${CMAKE_REQUIRED_INCLUDES}")
-    ELSE(CMAKE_REQUIRED_INCLUDES)
-      SET(CHECK_C_SOURCE_COMPILES_ADD_INCLUDES)
-    ENDIF(CMAKE_REQUIRED_INCLUDES)
-    IF(EXISTS "${SOURCE}")
-      SET(CHECK_SRC "${SOURCE}")
-    ELSE(EXISTS "${SOURCE}")
-      FILE(WRITE "${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/src.c"
+    else(CMAKE_REQUIRED_INCLUDES)
+      set(CHECK_C_SOURCE_COMPILES_ADD_INCLUDES)
+    endif(CMAKE_REQUIRED_INCLUDES)
+    if(EXISTS "${SOURCE}")
+      set(CHECK_SRC "${SOURCE}")
+    else(EXISTS "${SOURCE}")
+      file(WRITE "${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/src.c"
         "${SOURCE}\n")
-      SET(CHECK_SRC "${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/src.c")
-    ENDIF(EXISTS "${SOURCE}")
+      set(CHECK_SRC "${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeTmp/src.c")
+    endif(EXISTS "${SOURCE}")
     
-    MESSAGE(STATUS "Performing Test ${VAR}")
-    TRY_RUN(${VAR}_EXITCODE ${VAR}_COMPILED
+    message(STATUS "Performing Test ${VAR}")
+    try_run(${VAR}_EXITCODE ${VAR}_COMPILED
       ${CMAKE_BINARY_DIR}
       ${CHECK_SRC}
       COMPILE_DEFINITIONS ${CMAKE_REQUIRED_DEFINITIONS}
@@ -105,33 +105,33 @@
       "${CHECK_C_SOURCE_COMPILES_ADD_INCLUDES}"
       COMPILE_OUTPUT_VARIABLE OUTPUT)
     # if it did not compile make the return value fail code of 1
-    IF(NOT ${VAR}_COMPILED)
-      SET(${VAR}_EXITCODE 1)
-    ENDIF(NOT ${VAR}_COMPILED)
+    if(NOT ${VAR}_COMPILED)
+      set(${VAR}_EXITCODE 1)
+    endif(NOT ${VAR}_COMPILED)
     # if the return value was 0 then it worked
-    IF("${${VAR}_EXITCODE}" EQUAL 0)
-      SET(${VAR} 1 CACHE INTERNAL "Test ${VAR}")
-      MESSAGE(STATUS "Performing Test ${VAR} - Success")
-      FILE(APPEND ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeOutput.log 
+    if("${${VAR}_EXITCODE}" EQUAL 0)
+      set(${VAR} 1 CACHE INTERNAL "Test ${VAR}")
+      message(STATUS "Performing Test ${VAR} - Success")
+      file(APPEND ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeOutput.log 
         "Performing C SOURCE FILE Test ${VAR} succeded with the following output:\n"
         "${OUTPUT}\n"
         "Return value: ${${VAR}}\n"
         "Source file was:\n${SOURCE}\n")
-    ELSE("${${VAR}_EXITCODE}" EQUAL 0)
-      IF(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
-        SET(${VAR} "${${VAR}_EXITCODE}")
-      ELSE(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
-        SET(${VAR} "" CACHE INTERNAL "Test ${VAR}")
-      ENDIF(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
+    else("${${VAR}_EXITCODE}" EQUAL 0)
+      if(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
+        set(${VAR} "${${VAR}_EXITCODE}")
+      else(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
+        set(${VAR} "" CACHE INTERNAL "Test ${VAR}")
+      endif(CMAKE_CROSSCOMPILING AND "${${VAR}_EXITCODE}" MATCHES  "FAILED_TO_RUN")
 
-      MESSAGE(STATUS "Performing Test ${VAR} - Failed")
-      FILE(APPEND ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeError.log 
+      message(STATUS "Performing Test ${VAR} - Failed")
+      file(APPEND ${CMAKE_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeError.log 
         "Performing C SOURCE FILE Test ${VAR} failed with the following output:\n"
         "${OUTPUT}\n"
         "Return value: ${${VAR}_EXITCODE}\n"
         "Source file was:\n${SOURCE}\n")
 
-    ENDIF("${${VAR}_EXITCODE}" EQUAL 0)
-  ENDIF("${VAR}" MATCHES "^${VAR}$")
-ENDMACRO(CHECK_C_SOURCE_RUNS)
+    endif("${${VAR}_EXITCODE}" EQUAL 0)
+  endif("${VAR}" MATCHES "^${VAR}$")
+endmacro(CHECK_C_SOURCE_RUNS)
 
Index: src/other/incrTcl/itk/CMake/FindX11.cmake
===================================================================
--- src/other/incrTcl/itk/CMake/FindX11.cmake	(revision 54114)
+++ src/other/incrTcl/itk/CMake/FindX11.cmake	(working copy)
@@ -130,16 +130,16 @@
 # 
 #=============================================================================
 
-MACRO(X11_FIND_INCLUDE_PATH component header)
+macro(X11_FIND_INCLUDE_PATH component header)
   find_path(X11_${component}_INCLUDE_PATH ${header} ${X11_INC_SEARCH_PATH} NO_CMAKE_SYSTEM_PATH)
   set(X11_HDR_VARS ${X11_HDR_VARS} X11_${component}_INCLUDE_PATH)
   if(X11_${component}_INCLUDE_PATH)
     set(X11_HDR_PATHS ${X11_HDR_PATHS} ${X11_${component}_INCLUDE_PATH})
     list(REMOVE_DUPLICATES X11_HDR_PATHS)
   endif(X11_${component}_INCLUDE_PATH)
-ENDMACRO(X11_FIND_INCLUDE_PATH)
+endmacro(X11_FIND_INCLUDE_PATH)
 
-MACRO(X11_FIND_LIB_PATH component libname)
+macro(X11_FIND_LIB_PATH component libname)
   find_library(X11_${component}_LIB ${libname} ${X11_LIB_SEARCH_PATH} NO_CMAKE_SYSTEM_PATH)
   set(X11_LIB_VARS ${X11_LIB_VARS} X11_${component}_LIB)
   if(X11_${component}_LIB)
@@ -147,7 +147,7 @@
     set(X11_LIB_PATHS ${X11_LIB_PATHS} ${X11_${component}_DIR})
     list(REMOVE_DUPLICATES X11_LIB_PATHS)
   endif(X11_${component}_LIB)
-ENDMACRO(X11_FIND_LIB_PATH)
+endmacro(X11_FIND_LIB_PATH)
 
 if(UNIX)
   set(X11_FOUND 0)
@@ -208,63 +208,63 @@
   set(X11_LIB_PATHS)
   
   # Find primary X11 headers
-  X11_FIND_INCLUDE_PATH(X11		X11/X.h)
-  X11_FIND_INCLUDE_PATH(Xlib		X11/Xlib.h)
+  x11_find_include_path(X11		X11/X.h)
+  x11_find_include_path(Xlib		X11/Xlib.h)
   # Look for other X11 includes; keep the list sorted by name of the cmake X11_<component>_INCLUDE_PATH
   # variable (component doesn't need to match the include file name).
-  X11_FIND_INCLUDE_PATH(ICE 		X11/ICE/ICE.h)
-  X11_FIND_INCLUDE_PATH(Xaccessrules 	X11/extensions/XKBrules.h)
-  X11_FIND_INCLUDE_PATH(Xaccessstr 	X11/extensions/XKBstr.h)
-  X11_FIND_INCLUDE_PATH(Xau 		X11/Xauth.h)
-  X11_FIND_INCLUDE_PATH(Xcomposite 	X11/extensions/Xcomposite.h)
-  X11_FIND_INCLUDE_PATH(Xcursor 	X11/Xcursor/Xcursor.h)
-  X11_FIND_INCLUDE_PATH(Xdamage 	X11/extensions/Xdamage.h)
-  X11_FIND_INCLUDE_PATH(Xdmcp 		X11/Xdmcp.h)
-  X11_FIND_INCLUDE_PATH(dpms 		X11/extensions/dpms.h)
-  X11_FIND_INCLUDE_PATH(xf86misc 	X11/extensions/xf86misc.h)
-  X11_FIND_INCLUDE_PATH(xf86vmode 	X11/extensions/xf86vmode.h)
-  X11_FIND_INCLUDE_PATH(Xfixes		X11/extensions/Xfixes.h)
-  X11_FIND_INCLUDE_PATH(Xft		X11/Xft/Xft.h)
-  X11_FIND_INCLUDE_PATH(Xi		X11/extensions/XInput.h)
-  X11_FIND_INCLUDE_PATH(Xinerama	X11/extensions/Xinerama.h)
-  X11_FIND_INCLUDE_PATH(Xinput		X11/extensions/XInput.h)
-  X11_FIND_INCLUDE_PATH(Xkb		X11/extensions/XKB.h)
-  X11_FIND_INCLUDE_PATH(Xkblib		X11/XKBlib.h)
-  X11_FIND_INCLUDE_PATH(Xpm		X11/xpm.h)
-  X11_FIND_INCLUDE_PATH(XTest		X11/extensions/XTest.h)
-  X11_FIND_INCLUDE_PATH(XShm		X11/extensions/XShm.h)
-  X11_FIND_INCLUDE_PATH(Xrandr		X11/extensions/Xrandr.h)
-  X11_FIND_INCLUDE_PATH(Xrender		X11/extensions/Xrender.h)
-  X11_FIND_INCLUDE_PATH(Xscreensaver	X11/extensions/scrnsaver.h)
-  X11_FIND_INCLUDE_PATH(Xshape		X11/extensions/shape.h)
-  X11_FIND_INCLUDE_PATH(Xutil		X11/Xutil.h)
-  X11_FIND_INCLUDE_PATH(Xt		X11/Intrinsic.h)
-  X11_FIND_INCLUDE_PATH(Xv		X11/extensions/Xvlib.h)
+  x11_find_include_path(ICE 		X11/ICE/ICE.h)
+  x11_find_include_path(Xaccessrules 	X11/extensions/XKBrules.h)
+  x11_find_include_path(Xaccessstr 	X11/extensions/XKBstr.h)
+  x11_find_include_path(Xau 		X11/Xauth.h)
+  x11_find_include_path(Xcomposite 	X11/extensions/Xcomposite.h)
+  x11_find_include_path(Xcursor 	X11/Xcursor/Xcursor.h)
+  x11_find_include_path(Xdamage 	X11/extensions/Xdamage.h)
+  x11_find_include_path(Xdmcp 		X11/Xdmcp.h)
+  x11_find_include_path(dpms 		X11/extensions/dpms.h)
+  x11_find_include_path(xf86misc 	X11/extensions/xf86misc.h)
+  x11_find_include_path(xf86vmode 	X11/extensions/xf86vmode.h)
+  x11_find_include_path(Xfixes		X11/extensions/Xfixes.h)
+  x11_find_include_path(Xft		X11/Xft/Xft.h)
+  x11_find_include_path(Xi		X11/extensions/XInput.h)
+  x11_find_include_path(Xinerama	X11/extensions/Xinerama.h)
+  x11_find_include_path(Xinput		X11/extensions/XInput.h)
+  x11_find_include_path(Xkb		X11/extensions/XKB.h)
+  x11_find_include_path(Xkblib		X11/XKBlib.h)
+  x11_find_include_path(Xpm		X11/xpm.h)
+  x11_find_include_path(XTest		X11/extensions/XTest.h)
+  x11_find_include_path(XShm		X11/extensions/XShm.h)
+  x11_find_include_path(Xrandr		X11/extensions/Xrandr.h)
+  x11_find_include_path(Xrender		X11/extensions/Xrender.h)
+  x11_find_include_path(Xscreensaver	X11/extensions/scrnsaver.h)
+  x11_find_include_path(Xshape		X11/extensions/shape.h)
+  x11_find_include_path(Xutil		X11/Xutil.h)
+  x11_find_include_path(Xt		X11/Intrinsic.h)
+  x11_find_include_path(Xv		X11/extensions/Xvlib.h)
   
 
   # Find primary X11 library
-  X11_FIND_LIB_PATH(X11			X11)
+  x11_find_lib_path(X11			X11)
   # Find additional X libraries. Keep list sorted by library name.
-  X11_FIND_LIB_PATH(ICE			ICE)
-  X11_FIND_LIB_PATH(SM			SM)
-  X11_FIND_LIB_PATH(Xau			Xau)
-  X11_FIND_LIB_PATH(Xcomposite		Xcomposite)
-  X11_FIND_LIB_PATH(Xcursor		Xcursor)
-  X11_FIND_LIB_PATH(Xdamage		Xdamage)
-  X11_FIND_LIB_PATH(Xdmcp		Xdmcp)
-  X11_FIND_LIB_PATH(Xext		Xext)
-  X11_FIND_LIB_PATH(Xfixes		Xfixes)
-  X11_FIND_LIB_PATH(Xft			Xft)
-  X11_FIND_LIB_PATH(Xi			Xi)
-  X11_FIND_LIB_PATH(Xinerama		Xinerama)
-  X11_FIND_LIB_PATH(Xpm			Xpm)
-  X11_FIND_LIB_PATH(Xrandr		Xrandr)
-  X11_FIND_LIB_PATH(Xrender		Xrender)
-  X11_FIND_LIB_PATH(Xscreensaver	Xss)
-  X11_FIND_LIB_PATH(Xt			Xt)
-  X11_FIND_LIB_PATH(XTest		Xtst)
-  X11_FIND_LIB_PATH(Xv			Xv)
-  X11_FIND_LIB_PATH(Xxf86misc		Xxf86misc)
+  x11_find_lib_path(ICE			ICE)
+  x11_find_lib_path(SM			SM)
+  x11_find_lib_path(Xau			Xau)
+  x11_find_lib_path(Xcomposite		Xcomposite)
+  x11_find_lib_path(Xcursor		Xcursor)
+  x11_find_lib_path(Xdamage		Xdamage)
+  x11_find_lib_path(Xdmcp		Xdmcp)
+  x11_find_lib_path(Xext		Xext)
+  x11_find_lib_path(Xfixes		Xfixes)
+  x11_find_lib_path(Xft			Xft)
+  x11_find_lib_path(Xi			Xi)
+  x11_find_lib_path(Xinerama		Xinerama)
+  x11_find_lib_path(Xpm			Xpm)
+  x11_find_lib_path(Xrandr		Xrandr)
+  x11_find_lib_path(Xrender		Xrender)
+  x11_find_lib_path(Xscreensaver	Xss)
+  x11_find_lib_path(Xt			Xt)
+  x11_find_lib_path(XTest		Xtst)
+  x11_find_lib_path(Xv			Xv)
+  x11_find_lib_path(Xxf86misc		Xxf86misc)
 
   set(X11_LIBRARY_DIR "")
   if(X11_X11_LIB)
@@ -437,69 +437,69 @@
       set(X11_X_EXTRA_LIBS "")
 
       # See if XOpenDisplay in X11 works by itself.
-      CHECK_LIBRARY_EXISTS("${X11_LIBRARIES}" "XOpenDisplay" "${X11_LIBRARY_DIR}" X11_LIB_X11_SOLO)
+      check_library_exists("${X11_LIBRARIES}" "XOpenDisplay" "${X11_LIBRARY_DIR}" X11_LIB_X11_SOLO)
       if(NOT X11_LIB_X11_SOLO)
         # Find library needed for dnet_ntoa.
-        CHECK_LIBRARY_EXISTS("dnet" "dnet_ntoa" "" X11_LIB_DNET_HAS_DNET_NTOA)
+        check_library_exists("dnet" "dnet_ntoa" "" X11_LIB_DNET_HAS_DNET_NTOA)
         if(X11_LIB_DNET_HAS_DNET_NTOA)
-          SET (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -ldnet)
+          set (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -ldnet)
         else(X11_LIB_DNET_HAS_DNET_NTOA)
-          CHECK_LIBRARY_EXISTS("dnet_stub" "dnet_ntoa" "" X11_LIB_DNET_STUB_HAS_DNET_NTOA)
+          check_library_exists("dnet_stub" "dnet_ntoa" "" X11_LIB_DNET_STUB_HAS_DNET_NTOA)
           if(X11_LIB_DNET_STUB_HAS_DNET_NTOA)
-            SET (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -ldnet_stub)
+            set (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -ldnet_stub)
           endif(X11_LIB_DNET_STUB_HAS_DNET_NTOA)
         endif(X11_LIB_DNET_HAS_DNET_NTOA)
       endif(NOT X11_LIB_X11_SOLO)
 
       # Find library needed for gethostbyname.
-      CHECK_FUNCTION_EXISTS("gethostbyname" CMAKE_HAVE_GETHOSTBYNAME)
+      check_function_exists("gethostbyname" CMAKE_HAVE_GETHOSTBYNAME)
       if(NOT CMAKE_HAVE_GETHOSTBYNAME)
-        CHECK_LIBRARY_EXISTS("nsl" "gethostbyname" "" CMAKE_LIB_NSL_HAS_GETHOSTBYNAME)
+        check_library_exists("nsl" "gethostbyname" "" CMAKE_LIB_NSL_HAS_GETHOSTBYNAME)
         if(CMAKE_LIB_NSL_HAS_GETHOSTBYNAME)
-          SET (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -lnsl)
+          set (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -lnsl)
         else(CMAKE_LIB_NSL_HAS_GETHOSTBYNAME)
-          CHECK_LIBRARY_EXISTS("bsd" "gethostbyname" "" CMAKE_LIB_BSD_HAS_GETHOSTBYNAME)
+          check_library_exists("bsd" "gethostbyname" "" CMAKE_LIB_BSD_HAS_GETHOSTBYNAME)
           if(CMAKE_LIB_BSD_HAS_GETHOSTBYNAME)
-            SET (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -lbsd)
+            set (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -lbsd)
           endif(CMAKE_LIB_BSD_HAS_GETHOSTBYNAME)
         endif(CMAKE_LIB_NSL_HAS_GETHOSTBYNAME)
       endif(NOT CMAKE_HAVE_GETHOSTBYNAME)
 
       # Find library needed for connect.
-      CHECK_FUNCTION_EXISTS("connect" CMAKE_HAVE_CONNECT)
+      check_function_exists("connect" CMAKE_HAVE_CONNECT)
       if(NOT CMAKE_HAVE_CONNECT)
-        CHECK_LIBRARY_EXISTS("socket" "connect" "" CMAKE_LIB_SOCKET_HAS_CONNECT)
+        check_library_exists("socket" "connect" "" CMAKE_LIB_SOCKET_HAS_CONNECT)
         if(CMAKE_LIB_SOCKET_HAS_CONNECT)
-          SET (X11_X_EXTRA_LIBS -lsocket ${X11_X_EXTRA_LIBS})
+          set (X11_X_EXTRA_LIBS -lsocket ${X11_X_EXTRA_LIBS})
         endif(CMAKE_LIB_SOCKET_HAS_CONNECT)
       endif(NOT CMAKE_HAVE_CONNECT)
 
       # Find library needed for remove.
-      CHECK_FUNCTION_EXISTS("remove" CMAKE_HAVE_REMOVE)
+      check_function_exists("remove" CMAKE_HAVE_REMOVE)
       if(NOT CMAKE_HAVE_REMOVE)
-        CHECK_LIBRARY_EXISTS("posix" "remove" "" CMAKE_LIB_POSIX_HAS_REMOVE)
+        check_library_exists("posix" "remove" "" CMAKE_LIB_POSIX_HAS_REMOVE)
         if(CMAKE_LIB_POSIX_HAS_REMOVE)
-          SET (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -lposix)
+          set (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -lposix)
         endif(CMAKE_LIB_POSIX_HAS_REMOVE)
       endif(NOT CMAKE_HAVE_REMOVE)
 
       # Find library needed for shmat.
-      CHECK_FUNCTION_EXISTS("shmat" CMAKE_HAVE_SHMAT)
+      check_function_exists("shmat" CMAKE_HAVE_SHMAT)
       if(NOT CMAKE_HAVE_SHMAT)
-        CHECK_LIBRARY_EXISTS("ipc" "shmat" "" CMAKE_LIB_IPS_HAS_SHMAT)
+        check_library_exists("ipc" "shmat" "" CMAKE_LIB_IPS_HAS_SHMAT)
         if(CMAKE_LIB_IPS_HAS_SHMAT)
-          SET (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -lipc)
+          set (X11_X_EXTRA_LIBS ${X11_X_EXTRA_LIBS} -lipc)
         endif(CMAKE_LIB_IPS_HAS_SHMAT)
       endif(NOT CMAKE_HAVE_SHMAT)
     endif($ENV{ISC} MATCHES "^yes$")
 
     if(X11_ICE_FOUND)
-      CHECK_LIBRARY_EXISTS("ICE" "IceConnectionNumber" "${X11_LIBRARY_DIR}"
+      check_library_exists("ICE" "IceConnectionNumber" "${X11_LIBRARY_DIR}"
         CMAKE_LIB_ICE_HAS_ICECONNECTIONNUMBER)
       if(CMAKE_LIB_ICE_HAS_ICECONNECTIONNUMBER)
-        SET (X11_X_PRE_LIBS ${X11_ICE_LIB})
+        set (X11_X_PRE_LIBS ${X11_ICE_LIB})
         if(X11_SM_LIB)
-          SET (X11_X_PRE_LIBS ${X11_SM_LIB} ${X11_X_PRE_LIBS})
+          set (X11_X_PRE_LIBS ${X11_SM_LIB} ${X11_X_PRE_LIBS})
         endif(X11_SM_LIB)
       endif(CMAKE_LIB_ICE_HAS_ICECONNECTIONNUMBER)
     endif(X11_ICE_FOUND)
@@ -548,7 +548,7 @@
     endif("${LIB_PATH_CNT}" GREATER 1)
 
     include(FindPackageMessage)
-    FIND_PACKAGE_MESSAGE(X11 "Found X11: ${X11_X11_LIB}"
+    find_package_message(X11 "Found X11: ${X11_X11_LIB}"
       "[${X11_X11_LIB}][${X11_INCLUDE_DIR}]")
   else(X11_FOUND)
     if(X11_FIND_REQUIRED)
